<?php if(!defined('cfih') or !cfih) die('This file cannot be directly accessed.');
/**************************************************************************************************************
 *
 *   CF Image Hosting Script
 *   ---------------------------------
 *
 *   Author:    codefuture.co.uk
 *   Version:   1.6
 *
 *   You can download the latest version from: http://codefuture.co.uk/projects/imagehost/
 *
 *   Copyright (c) 2010-2012 CodeFuture.co.uk
 *   This file is part of the CF Image Hosting Script.
 *
 *   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 *   EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 *   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
 *   COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 *   WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
 *   OR  IN  CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 *
 *   You may not modify and/or remove any copyright notices or labels on the software on each
 *   page (unless full license is purchase) and in the header of each script source file.
 *
 *   You should have received a full copy of the LICENSE AGREEMENT along with
 *   Codefuture Image Hosting Script. If not, see http://codefuture.co.uk/projects/imagehost/license/.
 *
 *
 *   ABOUT THIS PAGE -----
 *   Used For:     Admin Bulk image uploader
 *   Last edited:  20/04/2012
 *
 *************************************************************************************************************/

// check for errors coming from other pages
	if(isset($_SESSION['err'])){
		$Err = $_SESSION['err'];
		unset($_SESSION['err']);
	}
	

//testing
	$settings['SET_ALLOW_ANIMATION'] = false;// true;

// check for uploaded image to show
	if(isset($_SESSION['upload'])){
		$countThumb	= 0; // count number of thumb's on page
		$thumbHtml	= ''; // hold thumbnail page html

	// image loop
		foreach($_SESSION['upload'] as $k=>$uploadimage){
			if(isset($uploadimage['id']))$img_id =$uploadimage['id'];
			unset($_SESSION['upload'][$k]);

			if(isset($img_id) && preg_replace("/[^0-9A-Za-z]/","",$img_id) == $img_id){
			//see if image exists
				if ($image = getImage($img_id)){

				// Thumbnail page variables
					$thumb_link		= imageAddress(3,$image,'pt');
					$thumb_url		= imageAddress(3,$image,'dt');
					$thumb_mid_link	= imageAddress(2,$image,'pm');
					$thumb_mid_url	= imageAddress(2,$image,'dm');
					$imgurl			= imageAddress(1,$image,'di');
					$alt			= $image['alt'];
					$shorturl		= $image['shorturl'];
					$bookmarking	= bookmarking(($shorturl ==null?$thumb_mid_link:$shorturl),$alt);

				// make image links
					$links[$countThumb] = array(
										'thumb_bbcode'			=> imageLinkCode('bbcode',$thumb_url,$thumb_link),
										'thumb_html'				=> imageLinkCode('html',$thumb_url,$thumb_link,$alt),
										'thumb_mid_bbcode'	=> imageLinkCode('bbcode',$thumb_mid_url,$thumb_mid_link),
										'thumb_mid_html'		=> imageLinkCode('html',$thumb_mid_url,$thumb_mid_link,$alt),
										'image_bbcode'			=> imageLinkCode('bbcode',$imgurl),
										'image_direct'			=> $imgurl,
										'delete_url'				=> (isset($delete_id)?$settings['SET_SITEURL'].'/?d='.$delete_id:'')
										);

				//image box
					$thumbHtml .= '<div class="ibox imgedit_img"><h2 class="boxtitle">'.$alt.'</h2><a href="'.imageAddress(1,$image).'" title="'.$alt.'" id="fancybox" ><img src="'.imageAddress(3,$image).'" alt="'.$alt.'" /></a>';
				//image links
					$thumbHtml .= '<div class="code_box">'.$bookmarking.'</div>';
				// end
					$thumbHtml .= '</div>';
				// links title
					$thumbHtml .= '<div class="ibox imgedit_form"><h2 class="boxtitle">'._T("site_index_hide_link").'</h2>';
				// Short URL
					if ($shorturl != null && !empty($shorturl))	$thumbHtml .= '
										<div class="code_box"><label for="shorturl">'._T("site_index_short_url_link").':</label> <input type="text" id="codehtml" value="'.$shorturl.'" onclick="javascript:this.focus();this.select();" readonly="true" class="text_input long" /></div>';

				// Image Links
					$thumbHtml .= '
							<h3>'._T("site_index_small_thumbnail_link").'</h3>
								<div class="code_box"><label for="codelbb">'._T("site_index_bbcode").':</label> <input type="text" id="codelbb" value="'.$links[$countThumb]['thumb_bbcode'].'" onclick="javascript:this.focus();this.select();" readonly="true" class="text_input long" /></div>
								<div class="code_box"><label for="codehtml"><a href="'.$thumb_link.'" title="'.$alt.'" >'._T("site_index_html_code").'</a> :</label> <input type="text" id="codehtml" value="'.$links[$countThumb]['thumb_html'].'" onclick="javascript:this.focus();this.select();" readonly="true" class="text_input long" /></div>
							<h3>'._T("site_index_thumbnail_link").'</h3>
								<div class="code_box"><label for="codelbb">'._T("site_index_bbcode").':</label> <input type="text" id="codelbb" value="'.$links[$countThumb]['thumb_mid_bbcode'].'" onclick="javascript:this.focus();this.select();" readonly="true" class="text_input long" /></div>
								<div class="code_box"><label for="codehtml"><a href="'.$thumb_mid_link.'" title="'.$alt.'" >'._T("site_index_html_code").'</a> :</label> <input type="text" id="codehtml" value="'.$links[$countThumb]['thumb_mid_html'].'" onclick="javascript:this.focus();this.select();" readonly="true" class="text_input long" /></div>
							<h3>'._T("site_index_image_link").'</h3>
							<div class="code_box"><label for="codebb">'._T("site_index_bbcode").':</label> <input type="text" id="codebb" value="'.$links[$countThumb]['image_bbcode'].'" onclick="javascript:this.focus();this.select();" readonly="true" class="text_input long" /></div>
							<div class="code_box"><label for="codedirect">'._T("site_index_direct_link").'</label> <input type="text" id="codedirect" value="'.$links[$countThumb]['image_direct'].'" onclick="javascript:this.focus();this.select();" readonly="true" class="text_input long" /></div>';

					$thumbHtml .= '</div>';
					$thumbHtml .= '<div style="clear: both;"></div>';
				}else{
					$Err['thumbs_page'] = _T("site_index_thumbs_page_err");
				}
			}
			$countThumb++;
		}// end uploaded loop

	// unset upload array
		unset($_SESSION['upload']);
	} // end show uploaded images

// make image list to upload
	if(isset($_POST['bupload'])) {
		if ($handle = opendir(CFBULKUPLOADPATH)) {
			$i = 0;
			while (false !== ($file = readdir($handle))){
				if ($file != "." && $file != ".."){
					$path = CFBULKUPLOADPATH;
					if(is_file($path.$file)) {
						$info = pathinfo($file);
						if(in_array(strtolower($info['extension']),$imgFormats)){
							$_FILES['file']['tmp_name'][$i] = $path.$file;
							$_FILES['file']['name'][$i] = $file;
							$_FILES['file']['size'][$i] = 0;
							$_FILES['file']['type'][$i] = '';
							$_FILES['file']['error'][$i] = '';
							$i++;
						}
					} 
				 }
			}
		}
		if ($i > 0){
		// upload images
			$image['URL'] = $api = 1;
			$admin_upload = true;
	
		// what source
			$source = $_FILES['file'];

		// setup upload class
			require_once("./lib/upload.class.php");
			$imgUp = new upload($source);
			$imgUp->set_memory_limit($IMG_MEMORY_LIMIT);
			$imgUp->set_tweak_factor($IMG_TWEAK_FACTOR);
			$imgUp->set_accepted_formats($acceptedFormats);
			$imgUp->set_max_filesize($settings['SET_MAXSIZE']); // in bits
			$imgUp->set_min_dimensions($IMG_MIN_SIZE); // pixels
			$imgUp->set_max_dimensions($IMG_MAX_SIZE); // pixels
			$imgUp->set_upload_dir(CFIMAGEPATH);
			$imgUp->set_temp_dir(CFIMGTEMPPATH);

			$imgCount = 0; // used to limit uploads
			$number_of_uploads = $i;

			for($i=0; $i < $number_of_uploads;++$i){

				if(!$imgUp->process($i)){
					if($imgUp->error_code == 120) sendError(sprintf('<b>'.$imgUp->info['full_name'].'</b> '._T("site_upload_types_accepted"),implode(", ",$imgFormats)),'extension');
					if($imgUp->error_code == 121) sendError(sprintf('<b>'.$imgUp->info['full_name'].'</b> '._T("site_upload_to_small"),$IMG_MIN_SIZE.'x'.$IMG_MIN_SIZE),'tosmall');
					if($imgUp->error_code == 122) sendError(sprintf('<b>'.$imgUp->info['full_name'].'</b> '._T("site_upload_to_big"),$IMG_MAX_SIZE.'x'.$IMG_MAX_SIZE));
					if($imgUp->error_code == 123) sendError(sprintf('<b>'.$imgUp->info['full_name'].'</b> '._T("site_upload_size_accepted"),format_size($settings['SET_MAXSIZE'])),'tobig');
					if($imgUp->error_code == 124) sendError(sprintf('<b>'.$imgUp->info['full_name'].'</b> Error opening image','opening'));
					continue;
				}

				$imgUp->fingerprint();
			// need to check for duplicate images?
				if($settings['SET_NODUPLICATE']){
				//check for Duplicate Images
					if($fp=findImage('fingerprint',$imgUp->info['fingerprint'])){
					// If similar files exist, check them
						foreach($fp as $fpItem){
							if ($imgUp->are_duplicates(imageAddress(1,$fpItem))){
								$dupFound = true;
								$dup = $fpItem;
								break;
							}
						}
						if(isset($dupFound)){
							$err_add = '<br/><a href="'.imageAddress(2,$dup,'pm').'" title="'.$dup['alt'].'" >Duplicate Images</a>';
							sendError('<b>'.$imgUp->info['full_name'].'</b> '._T("upload_duplicate_found").'  '.$err_add,'duplicate ');
							continue;
						}
					}
				}

				if(!$imgUp->finish_upload('adminupload')){
					if($imgUp->error_code == 125) sendError(sprintf('<b>'.$imgUp->info['full_name'].'</b> '._T("site_upload_err").' .','filemove'));
					continue;
				}

			//Resize image if needed
				if ($settings['SET_RESIZE_IMG_ON']) {

					if((isset($_POST['new_width'][$i]) && !empty($_POST['new_width'][$i])) ||
						(isset($_POST['new_height'][$i]) && !empty($_POST['new_height'][$i]))){

						$imgUp->stretchSmallImages(true);

						if(!empty($_POST['new_width'][$i]) && !empty($_POST['new_height'][$i])){
							$imgUp->resizeImage($_POST['new_width'][$i], $_POST['new_height'][$i], 'exact');
						}
						elseif(!empty($_POST['new_width'][$i]) && empty($_POST['new_height'][$i])){
							$imgUp->resizeImage($_POST['new_width'][$i], $imgSize[0], 'landscape');
						}
						elseif(empty($_POST['new_width'][$i]) && !empty($_POST['new_height'][$i])){
							$imgUp->resizeImage($imgUp->info['height'], $_POST['new_height'][$i], 'portrait');
						}

						$imgUp->saveImage($imgUp->info['address'],100,null,true);
						$imgUp->info['size'] = @filesize($imgUp->info['address']); // get new image file size
						$imgUp->stretchSmallImages(false); // set it back to false
					}
				}

			// make thumb
				$thumb_mid_address = CFTHUMBPATH.$imgUp->info['new'];
				$imgUp -> resizeImage($THUMB_MID_MAX_WIDTH, $THUMB_MID_MAX_HEIGHT, $THUMB_MID_OPTION);
				$imgUp -> saveImage($thumb_mid_address, ($imgUp->info['ext'] == 'png'?$PNG_QUALITY:$JPG_QUALITY));

			// make small thumb
				$thumb_address = CFSMALLTHUMBPATH.$imgUp->info['new'];
				$imgUp -> resizeImage($THUMB_MAX_WIDTH, $THUMB_MAX_HEIGHT, $THUMB_OPTION);
				$imgUp -> saveImage($thumb_address, ($imgUp->info['ext'] == 'png'?$PNG_QUALITY:$JPG_QUALITY));

				$image = $imgUp->info;
				
			// see if we need to get a short url for the image
				$shorturl = null;

				$image['alt'] = $image['name'];
				$image['album'] =1;
				$removeList[] = $imgUp->info['tmp_name'];
				
				$imgUp->destroyImage();


			//see if thumb's got made
				if(!file_exists($thumb_address) || !file_exists($thumb_mid_address)){
					@unlink($image['address']);
					@unlink($thumb_address);
					@unlink($thumb_mid_address);
					sendError('<b>'.$image['name'].'</b> '._T("site_upload_err").' ..','thumbmade');
					continue;
				}

			// get thumb's file size
				$thumbsize = @filesize($THUMB_MID_ADDRESS);
				$sthumbsize = @filesize($THUMB_ADDRESS);

			// Make image info array to save to db
				$newImageArray = array(
										'id'		=> $image['id'],
										'name'	=> $image['name'],
										'alt'		=> $image['alt'],
										'added'	=> time(),
										'ext'		=> $image['ext'],
										'ip'		=> '255.255.255.'.(rand(200,210)),//$_SERVER['REMOTE_ADDR'],
										'size'		=> $image['size'],
										'deleteid'		=> $image['did'],
										'thumbsize' 	=> $thumbsize,
										'sthumbsize'	=> $sthumbsize,
										'private'		=> (isset($_POST['private'][$i])?1:0),
										'report'			=> 0,
										'shorturl'		=> (!isset($shorturl)?null:$shorturl),
										'fingerprint'	=>$image['fingerprint'],
										);

			//save new image to database
				if(addNewImage($newImageArray)){

				// save image to upload array to be sent to thumb page
					$_SESSION['upload'][] = array('id' => $image['id'],'did' => $image['did']);

				}else{
					sendError('<b>'.$image['name'].'</b> '._T("site_index_delete_image_err_db"),'savedb');
					continue;
				}
			}// end image upload loop

		// remove temp images
			if(isset($removeList)){
				foreach ($removeList as $tempImg){
					// remove old file
						if(file_exists($tempImg)){
							unlink($tempImg);
						}
				}
			}

		}else{
			$Err['imgupload'] = sprintf(_T("admin_bulk_no_image_err"),CFBULKUPLOADPATH);
		}
		
	// admin bulk uploader 
		header('Location: '. $settings['SET_SITEURL'].'/admin.php?act=bulk');
	}

// page settings
	$page['id']					= 'bulkupload';
	$page['title']				= _T("admin_bulk_title");
	$page['description']	= '';
	$page['tipsy'] 			= true;
	$page['fancybox']		= true;

	require_once('admin/admin_page_header.php');
?>
<!-- admin Bulk Upload -->
			<div class="ibox full">
				<h2><?php echo _T("admin_bulk_title");?></h2>
				<p><?php echo sprintf(_T("admin_bulk_des"),CFBULKUPLOADPATH);?></p>
				<form method="POST" action="admin.php?act=bulk">
					<div class="code_box"><input class="button button_cen" type="submit" value="<?php echo _T("admin_bulk_form_button");?>" name="bupload" /></div>
				</form>
			</div>
			<div class="clear"></div>
			<?php echo (isset($thumbHtml)?$thumbHtml:'');?>
		</div>
<?php
	require_once('admin/admin_page_footer.php');
	die();
	exit;

// send error back to index page
	function sendError($msg,$id=''){
		if(isset($_SESSION['err'][$id])) $id = $id.'_'.time();
		$_SESSION['err'][$id] = $msg;
	}